@mixin text-reset {
    font       : {
        family : $base-font-family;
        style  : normal;
        weight : normal;
    }
    text           : {
        decoration : none;
        shadow     : none;
        transform  : none;
    }
    line       : {
        height : $base-line-height;
        break  : auto;
    }
    word        : {
        break   : normal;
        spacing : normal;
    }
    letter-spacing : normal;
    white-space    : normal;
}